gnutls_certificate_verification_profile_get_id(3)

NAME
gnutls_certificate_verification_profile_get_id - API function

SYNOPSIS
#include <gnutls/x509.h>

gnutls_certificate_verification_profiles_t gnutls_certificate_verification_profile_get_id(const char * name);

ARGUMENTS

const char * name
    is a profile name

DESCRIPTION
Convert a string to a gnutls_certificate_verification_profiles_t value. The names are compared in a case insensitive way.

RETURNS
a gnutls_certificate_verification_profiles_t id of the specified profile, or GNUTLS_PROFILE_UNKNOWN on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/